Women in Technology

Hear us Roar



Article:
  Rolling with Ruby on Rails
Subject:   Failed rails install on Fedora Core 3
Date:   2005-06-25 17:27:56
From:   cam2003
Disappointing - I'm not exactly using an obscure platform:


Attempting remote installation of 'rails'
Updating Gem source index for: http://gems.rubyforge.org
Install required dependency rake? [Yn] Y
Install required dependency activesupport? [Yn] Y
Install required dependency activerecord? [Yn]
Install required dependency actionpack? [Yn]
Install required dependency actionmailer? [Yn]
Install required dependency actionwebservice? [Yn]
Successfully installed rails-0.12.1
Successfully installed rake-0.5.4
Successfully installed activesupport-1.0.4
Successfully installed activerecord-1.10.1
Successfully installed actionpack-1.8.1
Successfully installed actionmailer-0.9.1
Successfully installed actionwebservice-0.7.1
/usr/lib/site_ruby/1.8/rubygems/custom_require.rb:18:in `require__': No such file to load -- rdoc/rdoc (LoadError)
from /usr/lib/site_ruby/1.8/rubygems/custom_require.rb:18:in `require'
from /usr/lib/site_ruby/1.8/rubygems/doc_manager.rb:43:in `generate_rdoc'
from /usr/lib/site_ruby/1.8/rubygems/gem_commands.rb:199:in `execute'
from /usr/lib/site_ruby/1.8/rubygems/gem_commands.rb:198:in `each'
from /usr/lib/site_ruby/1.8/rubygems/gem_commands.rb:198:in `execute'
from /usr/lib/site_ruby/1.8/rubygems/gem_commands.rb:137:in `each'
from /usr/lib/site_ruby/1.8/rubygems/gem_commands.rb:137:in `execute'
from /usr/lib/site_ruby/1.8/rubygems/command.rb:49:in `invoke'
from /usr/lib/site_ruby/1.8/rubygems/cmd_manager.rb:92:in `process_args'
from /usr/lib/site_ruby/1.8/rubygems/cmd_manager.rb:65:in `run'
from /usr/lib/site_ruby/1.8/rubygems/gem_runner.rb:9:in `run'
from /usr/bin/gem:17


S'pose I better hit the mailing lists (sigh)
cam

Full Threads Oldest First

Showing messages 1 through 1 of 1.

  • Failed rails install on Fedora Core 3
    2005-06-26 00:55:26  cam2003 [View]

    Ooops. Some dependency problems. FC users make sure you have irb and rdoc installed:

    yum install ruby-devel irb rdoc

    ought to do it...